Bug 517915 - Lots of Pidgin DBus errors on ~/.xsession-errors
Summary: Lots of Pidgin DBus errors on ~/.xsession-errors
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-do-plugins
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 20:51 UTC by Andre Costa
Modified: 2010-06-28 14:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:09:11 UTC


Attachments (Terms of Use)

Description Andre Costa 2009-08-17 20:51:00 UTC
Description of problem: ~/.xsession-errors records lots of messages from DBus and/or Pidgin complaingin that "org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files"


Version-Release number of selected component (if applicable): 2.5.8-2


How reproducible: always


Steps to Reproduce:
1. open pidgin
2. monitor ~/.xsession-errors
3.
  
Actual results: lots of messages like these:
[Error 17:41:03.361] [PidginAccountItemSource] Could not get Pidgin accounts: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:41:03.363] [PidginSavedStatusItemSource] Could not read saved statuses: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:43:03.384] [PidginAccountItemSource] Could not get Pidgin accounts: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:43:03.386] [PidginSavedStatusItemSource] Could not read saved statuses: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:45:03.414] [PidginAccountItemSource] Could not get Pidgin accounts: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:45:03.416] [PidginSavedStatusItemSource] Could not read saved statuses: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:47:03.447] [PidginAccountItemSource] Could not get Pidgin accounts: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:47:03.449] [PidginSavedStatusItemSource] Could not read saved statuses: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:49:03.478] [PidginAccountItemSource] Could not get Pidgin accounts: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files
[Error 17:49:03.481] [PidginSavedStatusItemSource] Could not read saved statuses: org.freedesktop.DBus.Error.ServiceUnknown: The name im.pidgin.purple.PurpleService was not provided by any .service files

Expected results: no DBus-related errors


Additional info: Pidgin DBusHowto [http://developer.pidgin.im/wiki/DbusHowto] explicitely says: "it means that either Pidgin didn't start with dbus: okkk, or your script is using a different bus"

Comment 1 Ben Liblit 2009-09-29 04:40:53 UTC
I believe these messages are coming from the GNOME Do Pidgin plugin provided by gnome-do-plugins-pidgin-0.8.1-6.fc11.i586.  In the process of doing some unrelated GNOME Do debugging, I have been launching it manually from a shell, and I get exactly these messages during GNOME Do startup.

The messages are correct from D-Bus's perspective.  Pidgin claims the "im.pidgin.purple.PurpleService" bus name while running, but it does not provide a D-Bus ".service" file to allow it to be launched on demand.  Surprisingly, it doesn't seem that Pidgin even includes a suitable ".service" file in its sources, so this doesn't seem to be a simple packaging omission.

Does it matter that no suitable ".service" file is offered?  Yes, I think it does.  If GNOME Do is launched *after* Pidgin is already running, then its Pidgin plugin is able to query and index all known Pidgin accounts and saved statuses.  If GNOME Do is launched *before* Pidgin, then this account and status information is unavailable and not indexed, even if Pidgin is launched later.  So the plugin's inability to launch Pidgin through D-Bus really does lead to a reduction in functionality.

Note that the problematic case (GNOME Do before Pidgin) is also the most typical case.  GNOME Do would usually be started on login, whereas Pidgin may not be started until much later, manually.  So this means that the intended behavior of the GNOME Do Pidgin plugin is impaired universally, for all users.

Interesting question, for which I do not have an answer: if a suitable ".service" file were provided, would Pidgin launch just long enough to answer the plugin's queries, and then go away?  Or would Pidgin stay alive and running as though started manually by the user?  The later is definitely not desirable: starting GNOME Do should not have the visible side effect of launching an IM client.  I haven't tried creating a Pidgin ".service" file, though, so I'm not sure what would happen here.  I merely point this out as a something to watch for should anyone try creating a ".service" file in the future.

Comment 2 Stu Tomlinson 2009-09-29 13:24:36 UTC
This is complicated by the fact that the DBUS capabilities of Pidgin are actually all provided by the underlying library (libpurple), so there is no one application that could be launched automatically. And yes, if you did create a .service file to launch Pidgin it would stay running.

It sounds like the bug here is really in the gnome-do pidgin plugin though (at least the "error" messages reported are), so re-assigning.

Comment 3 Michel Alexandre Salim 2009-09-29 17:53:13 UTC
It's the gnome-do pidgin plugin's error insofar as it assumes correct behavior by Pidgin.

Since GNOME Do does not enable the pidgin plugin by default, surely we could assume that users who do so would not mind seeing pidgin running in the background?

Comment 4 Stu Tomlinson 2009-09-29 18:17:53 UTC
(In reply to comment #3)
> It's the gnome-do pidgin plugin's error insofar as it assumes correct behavior
> by Pidgin.

How do you define the correct behavior when the DBUS interface is provided by a library and not a specific application?

> Since GNOME Do does not enable the pidgin plugin by default, surely we could
> assume that users who do so would not mind seeing pidgin running in the
> background?  

Can't the gnome-do pidgin plugin simply detect that pidgin is not running and either say nothing or tell the user that, instead of these "error" messages?

Comment 5 Bug Zapper 2010-04-28 09:48:31 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Ben Liblit 2010-04-29 00:52:30 UTC
I can no longer reproduce the problem as originally described using Fedora 12 and pidgin-2.6.6-2.fc12.i686.  Starting Pidgin does not dump a stream of DBus-related diagnostic messages into ~/.xsession-errors.

Comment 7 Bug Zapper 2010-06-28 14:09:11 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.